{
	"workflowtemplates": [
		{
			"id": "standard_operation_flow",
			"rootnode": "login_node",
			"description": "标准业务流程：登录→鉴权→运营操作→支付→结束",
			"nodes": [
				{
					"id": "login_node",
					"type": "loginverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "auth_privilege_node"
						},
						{
							"condition": "${result} == fail",
							"target": "end_node"
						},
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "operation_node"
						},
						{
							"condition": "default",
							"target": "operation_node"
						}
					]
				},
				{
					"id": "operation_node",
					"type": "operation",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "payment_node"
						},
						{
							"condition": "${result} == paydialogclose",
							"target": "secondary_auth_privilege_node"
						},
						{
							"condition": "default",
							"target": "payment_node"
						}
					]
				},
				{
					"id": "secondary_auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "payment_node",
					"type": "payment",
					"routerules": [
						{
							"condition": "${result} == paydialogclose",
							"target": "secondary_auth_privilege_node"
						},
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		},
		{
			"id": "standard_login_privverify_flow",
			"rootnode": "login_node",
			"description": "标准业务流程：登录→鉴权→结束",
			"nodes": [
				{
					"id": "login_node",
					"type": "loginverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "auth_privilege_node"
						},
						{
							"condition": "${result} == fail",
							"target": "end_node"
						},
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		},
		{
			"id": "oversea_auth_payment_flow",
			"rootnode": "auth_privilege_node",
			"description": "海外前置付费流程：鉴权→支付→结束",
			"nodes": [
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "payment_node"
						},
						{
							"condition": "default",
							"target": "payment_node"
						}
					]
				},
				{
					"id": "payment_node",
					"type": "overseapayment",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		},
		{
			"id": "standard_enterprise_flow",
			"rootnode": "auth_privilege_node",
			"description": "企业版：鉴权→结束",
			"nodes": [
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		},
		{
			"id": "standard_operation_flow_company",
			"rootnode": "auth_privilege_node",
			"description": "企业业务流程：鉴权→支付→结束",
			"nodes": [
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "payment_node"
						},
						{
							"condition": "default",
							"target": "payment_node"
						}
					]
				},
				{
					"id": "payment_node",
					"type": "companypayment",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		},
		{
			"id": "standard_operation_flow_loginsnauth",
			"rootnode": "auth_privilege_before_login_node",
			"description": "混合模式流程：鉴权→登录→鉴权→运营操作→支付→结束",
			"nodes": [
				{
					"id": "auth_privilege_before_login_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "login_node"
						},
						{
							"condition": "default",
							"target": "payment_node"
						}
					]
				},
				{
					"id": "login_node",
					"type": "loginverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "auth_privilege_node"
						},
						{
							"condition": "${result} == fail",
							"target": "end_node"
						},
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "operation_node"
						},
						{
							"condition": "default",
							"target": "operation_node"
						}
					]
				},
				{
					"id": "operation_node",
					"type": "operation",
					"routerules": [
						{
							"condition": "${result} == success",
							"target": "end_node"
						},
						{
							"condition": "${result} == fail",
							"target": "payment_node"
						},
						{
							"condition": "${result} == paydialogclose",
							"target": "secondary_auth_privilege_node"
						},
						{
							"condition": "default",
							"target": "payment_node"
						}
					]
				},
				{
					"id": "secondary_auth_privilege_node",
					"type": "atomprivverify",
					"routerules": [
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "payment_node",
					"type": "payment",
					"routerules": [
						{
							"condition": "${result} == paydialogclose",
							"target": "secondary_auth_privilege_node"
						},
						{
							"condition": "default",
							"target": "end_node"
						}
					]
				},
				{
					"id": "end_node",
					"type": "end"
				}
			]
		}
	]
}